jingrow.listview_settings["Energy Point Log"] = {
	hide_name_column: true,
	add_fields: ["type", "reference_pagetype", "reference_name"],
	get_indicator: function (pg) {
		let colors = {
			Appreciation: "green",
			Criticism: "red",
			Auto: "blue",
			Revert: "orange",
			Review: "grey",
		};
		return [__(pg.type), colors[pg.type], "type,=," + pg.type];
	},

	button: {
		show: function (pg) {
			return pg.reference_name;
		},
		get_label: function () {
			return __("View Ref");
		},
		get_description: function (pg) {
			return __("Open {0}", [`${pg.reference_pagetype} ${pg.reference_name}`]);
		},
		action: function (pg) {
			jingrow.set_route("Form", pg.reference_pagetype, pg.reference_name);
		},
	},
};
